Problema con editor de entradas en WordPress 2.8

Inicio Foros WordPress Instalación / Actualización Problema con editor de entradas en WordPress 2.8

Este debate contiene 19 respuestas, tiene 8 mensajes y lo actualizó  Camelot hace 8 años, 11 meses.

  • Autor
    Publicaciones
  • #13379

    naccho
    Participante

    <p>Hola amigos. He actualizado mi blog a la versión 2.8 y me ha desaparecido los botones del editor de entradas en el blog. Sólo me funciona correctamente el editor HTML, pero en el &quot;Visual&quot; no me salen los botones.</p>
    <p>Como hace tiempo (con la versión 2.7.1) hice cambios en Tinymce para intentar conseguir la compatibilidad con Safari4 beta, reinstalé este directorio sin resultados satisfactorios. He borrado todos los directorios y vuelto a subir wordpress 2.8, conservando wp-config.php y todo el directorio wp-content. También he probado a desactivar todos los plugins y ni con esas me funciona el editor.</p>
    <p>La actualización del blog la hice con el plugin WordPress Automatic Upgrade y todo fue satisfactorio. Ya no se que hacer, ¿alguna idea?</p>
    <p>Un saludo y gracias.
    </p>

  • #29751

    Jose Moreno
    Participante
  • #29760

    naccho
    Participante

    Gracias por tu ayuda, pero no me ha servido de nada.

    Me sale la pestaña de de visual y la de html, pero la visual no tiene botones, mientras la html si tiene. Si hago lo que comentas en el perfi,l puedo decidir si quiero o no que salga la pestaña de visual, pero en mi caso si que me sale pero no los botones. He probado a activar y desactivar la casilla y no consigo nada.

    Lo curioso es que en un blog que tengo para experimentos me funciona perfectamente.

    ¿Alguna idea más?

  • #29761

    imported_Fernando
    Participante

    Es un asunto que se está tratando en los foros oficiales, aún sin solución. Parece que está pasando en algunas actualizaciones, no así en instalaciones nuevas. ¿Que diferencias hay entre el sitio de pruebas y el real? (plugins, lo que sea)

  • #29766

    naccho
    Participante

    El blog de experimentos es un blog que monté en un servidor diferente al que uso "oficialmente". Inicialmente buscaba un servidor gratuito más rápido que el que tengo y cuando vi que no existía diferencia de velocidad, me quedé con el que estaba. Eso sí, me sirvió para hacer una migración y ver que no era difícil y para asegurarme que la actualización del blog "oficial" era factible sin complicaciones.

    El blog de pruebas a penas tiene plugins, pero descarto ese problema ya que he probado a desactivar todos los plugins en el oficial y comprobar que el problema persistía. El tema es el mismo (Carrington), aunque supongo que no debería de afectar, ya que no ocurre ninguna anomalia en el blog, sólo en el panel de control.

    Lo que me gustaría evitar es tener que hacer una instalación nueva y el engorro de volver a poner todo como estaba. Esperemos que a falta de una solución rápida, saquen pronto la solución.

  • #29768

    alejandrorios
    Participante

    yo tuve el mismo problema. Tengo 2 blogs. En el primero tengo el problema que se cuenta en este post, en el mismo hice la instalacion reemplazando los archivos. En el segundo, lo hice de otra manera y ahora que esta actualizado a la 2.8 tengo funcionando normalmente el blog. Les cuento como hice.
    Obviamente despues de hacer un back up, deje en mi servidor el archivo wp-config.php y la carpeta wp-content de la version anterior. Todo lo demas lo borre. De la carpeta descargada con la version 2.8 no subi ni el archivo ni la carpeta mencionada que mantuve las de la version 2.7. Luego de que todo haya sido subido fui a "http://www.tuweb.com/wp-admin/upgrade.php&quot;, se actualizo la base de datos y listo.
    Me olvide de mencionar que antes de actualizar desactive todos los plugins.
    Esto no varía mucho de lo que habra hecho la mayoria, yo soy novato en esto pero cuento de que manera me fue bien. Espero les sirva.
    Ahora voy intentar volver a la version anterior en mi blog que tengo el problema a ver si lo puedo solucionar asi y les cuento como me fue. Pero primero tengo que aprender como volver a una version anterior porque como les dije soy novato. Saludos

  • #29769

    naccho
    Participante

    Por un momento pensé que encontré la solución. El blog en experimentos estaba en inglés y el oficial en español. Cambié el idioma y el problema continúa.

    Ya no se donde tocar.

  • #29773

    imported_Fernando
    Participante

    Puede que tenga algo que ver con los servidores pero nada. Prueba a subir la versión en inglés y borra la carpeta languages de wp-content

  • #29774

    alejandrorios
    Participante

    confirmado muchachos, hice lo mismo con mi otro blog que no podia subir imagenes y que no aparecia el editor de entradas y ya funciona.
    Fijense uno de mis comentarios anteriores en este hilo que puse como fue que pude lograr que me funcione el editor de texto avanzado y subir imagenes. Quizas ya lo hayan intentado y estan teniendo un problema mas puntual, pero para los que solo usan el wordpress con sus funciones normales mas plugins y ese tipo de cosas y el problema les surgio al actualizar, este metodo les tiene que funcionar. Espero haber colaborado. saludos

  • #29788

    Camelot
    Participante

    Bueno, Fernando, yo tengo el problema que tuve una actualización fallida que ya comenté en otro tema, pero la cuestión es que regresé a la versión 2.7.1 y tengo el mismo problema con el editor visual de los que actualizaron a la versión 2.8; es decir, la solapa de "Visual" aparece en el editor pero sólo se muestran los botones de la solapa "HTML". Como explica naccho es exactamente mi caso.

    Hablando irónicamente, lo único que logré "actualizar" fue el problema con el editor… qué mala suerte 🙂

  • #29995

    Daff
    Participante

    Hola… les cuento que tengo exactamente el mismo problema. Armé mi blog con 2.7.1 y lo actualicé a 2.8 con el plugin [i]Wordpress Automatic Upgrade[/i]… detecté el problema cuando miraba mi blog en [b]Safari 4[/b], y pensando que se podía tratar del navegador accedí al blog desde Mozilla FF…. pero el problema persiste. 😕

    Pensé mal del plugin, así que volví a actualizar pero esta vez en forma manual. Oh! desilusión, el problema sigue ahí. Verifiqué en mi perfil que no estuviera marcada la casilla que desactiva el editor visual, y además uso WP en inglés.

    De verdad que no sé qué hacer 😐

  • #30004

    naccho
    Participante

    Yo al final tiré por el camino recto en la actualización del blog. Aproveché el problema para probar un nuevo host e instalé WordPress 2.8 desde cero, configuré de nuevo Google Apps y mi blog luce como nuevo:

    [url=http://www.dospatos.co.cc/2009/06/wordpress-2-8-y-llego-el-caos/]Wordpress 2.8 y llegó el caos[/url]

  • #30015

    fugazi
    Participante

    yo tengo el mismo problema, ha desaparecido completamente la opcion visual para edicion de texto enriquecido para cada post o creacion de paginas.
    Alguien sabe como solucionar esto? es un gran problema editar las noticias en html solamente.

    Tambien encontre dos errores via firebug (tinyMCE.addI18n({es:{).. tinyMCE.addI18n({en:{ pero no se que hay que modificar 🙁
    encontre una web (http://bit.ly/ddsQh) donde explican que es necesario borrar wp-admin y wp-includes y volverlos a subir via FTP y ya lo realize pero no tuve resultado, sigo con el mismo problema 🙁
    He seguido los pasos que aqui han descrito, como desactivar algunos plugins, borrar la cache, reinstalar el wordpress via el core-update… etc.. Y SIGO CON EL MISMO PROBLEMA!! 🙁

    Auxilio!!!

    Este problema solo me sucede con mi blog (http://www.monofonicos.net) que esta en wordpress en español
    Sin embargo cuando actualize mi otro blog ke esta con wordpress en ingles (http://www.medellinstyle.com) no tuve el mismo problema/error del editor visual de texto.

    Por favor ayuda!! 🙁

  • #30018

    naccho
    Participante

    fugazi dijo:
    yo tengo el mismo problema, ha desaparecido completamente la opcion visual para edicion de texto enriquecido para cada post o creacion de paginas.
    Alguien sabe como solucionar esto? es un gran problema editar las noticias en html solamente.

    Tambien encontre dos errores via firebug (tinyMCE.addI18n({es:{).. tinyMCE.addI18n({en:{ pero no se que hay que modificar 🙁
    encontre una web (http://bit.ly/ddsQh) donde explican que es necesario borrar wp-admin y wp-includes y volverlos a subir via FTP y ya lo realize pero no tuve resultado, sigo con el mismo problema 🙁
    He seguido los pasos que aqui han descrito, como desactivar algunos plugins, borrar la cache, reinstalar el wordpress via el core-update… etc.. Y SIGO CON EL MISMO PROBLEMA!! 🙁

    Auxilio!!!

    Este problema solo me sucede con mi blog (http://www.monofonicos.net) que esta en wordpress en español
    Sin embargo cuando actualize mi otro blog ke esta con wordpress en ingles (http://www.medellinstyle.com) no tuve el mismo problema/error del editor visual de texto.

    Por favor ayuda!! 🙁

    Creo que no hay soluciones, de momento. Pero te comento algunas cosillas:

    – Si tienes Google Gears, desactívalo.
    – Hay editores externos que puedes instalar en tu ordenador y así poder blogear con un editor "visual" y hacerlo decentemente.
    – Puedes subir post desde Google Docs sincronizando con blog.
    – Puedes probar suerte con la versión [b]beta[/b] de WordPress 2.8.1.
    – Puedes instalar de nuevo la versión 2.7.1 sin borrar tu wp-config.php, y la carpeta wp-content
    – También puedes meterte en el freago de hacer una copia de seguridad e instalar desde cero la versión 2.8.0.

    Valora estas opciones y decide con cual te atreves. Los editores externos y Google Docs bo tienen peligro. Gears he visto que me daba el error después de instalar desde cero el WordPress 2.8.

  • #30029

    fugazi
    Participante

    No tengo gears activado, pero gracias por los otros tips.. yo creo que de momento es un problema general para muchos de los usuarios que tenemos el wordpress en el español, ya que aun no ha salido la version oficial 2.8 de wordpress en español, entonces cuando actualizamos a la 2.8 pudieron haber entrado en conflicto varios ficheros.. es realmente lo que se me ocurre hasta el momento.
    de todas formas voy a tener paciencia para esperar la 2.8.1. ojala solucionen este gran problema porque de por si es un poco molesto.

    que editor visual como agregado me recomendas? muchas gracias 😀

  • #30033

    naccho
    Participante

    Yo sólo conozco [url=http://www.qumana.com/spanish.php]Qumana[/url], le hay para Mac, Linux y Mac.

    Ya me contarás que tal te va.

  • #30034

    fugazi
    Participante

    Pero espera, hablo de un editor visual (plugin) para wordpress, hay alguno recomendable ? 🙂

  • #30038

    naccho
    Participante

    De eso no tengo ni idea. Yo hablo de uno exterior, que se instala en el ordenador y permite crear los post offline.

  • #35079

    theaxion
    Participante

    Vaya.. las actualizaciones de wordpress son impredecibles.. lo mismo no actualizas.. y te atacan como es mi caso o actualizas y empieza a hacer extraños..casualidad..pero tambien me pasa con el editor de entradas..

    empiezo a cogerle tirria al wp..

    saludos

  • #35486

    Camelot
    Participante

    Actualicé a WordPress 2.9 y se solucionó el problema… en otras palabras me salté toda la rama 2.8.x, en fin, parece que las versiones impares van mejor (2.5.x, 2.7.x, 2.9.x) o eso dicen las leyendas urbanas.

El foro ‘Instalación / Actualización’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest

Ir al contenido